/*
 * Copyright (c) 1998, by Sun Microsystems, Inc.
 * All rights reserved.
 */

#ifndef _SPLIT_API_H
#define _SPLIT_API_H

#pragma ident  "@(#)split_api.h 1.8     98/08/24 SMI"

#ifdef  __cplusplus
extern "C" {
#endif


/*
 * The SPLIT API Defintion Header File
 *
 * This file contains the SPLIT API functions declarations for the SPLIT
 * API library "libu4ftsplit.so".  These functions can be used by user-mode
 * applications to manage the Split Mode functionality of the Netra ft 1800
 */


/* definitions of supported domain attributes */
#define	U4FT_COMBINED		"combined"
#define	U4FT_SPLIT		"split"
#define	U4FT_CTOS		"combined_to_split"
#define	U4FT_STOC		"split_to_combined"
#define	U4FT_MASTER		"master"


/* combined domain name */
#define	U4FT_COMBINED_DOMAIN	"C"




/* split APIs */
extern int get_slot_status(const char *location, 
	char **owner, 
	boolean_t *fixed);

extern int get_domain_attributes(char ***attr_list, 
	char **master, 
	char **this_domain);

extern int set_slot_owner(const char *location, 
	const char *owner, 
	boolean_t force, 
	int timeout);

extern int set_domain_attribute(const char *attr, 
	const char **domain_list,
	const char *winner_domain, 
	boolean_t force, 
	int timeout, 
	char **location);

extern int split_lock(void);

extern int split_unlock(void);


/* some successful return from set_domain_attribute and set_slot_owner */
#define ALREADY_SET		1
#define OTHER_NOT_RESPONDING	2

#ifdef  __cplusplus
}
#endif

#endif /* _SPLIT_API_H */
